<div class="page-stopwatch">
  <div class="stopwatch">
    <h1 class="last-stopwatch">{{lastStopwatch | timer}}</h1>
    <h4 class="total-stopwatch">{{totalStopwatch | timer}}</h4>
  </div>
  <div class="actions">
    <button mat-raised-button (click)="start()" *ngIf="!isStartStopwatch" class="primary">Start</button>
    <button mat-raised-button (click)="pause()" *ngIf="isStartStopwatch" class="accent">Pause</button>
    <button mat-raised-button (click)="split()" [disabled]="!isStartStopwatch" class="warn">Split</button>
    <button mat-raised-button (click)="reset()" [disabled]="isStartStopwatch" class="warn">Reset</button>
  </div>
  <div *ngIf="intervals.length" class="list">
  <table>
    <thead>
      <tr>
        <th>Time</th>
        <th>Description</th>
        <th>Start</th>
        <th>End</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let interval of intervals">
        <td>
          {{interval.getDateDiff() | timer }}
        </td>
        <td>
          <mat-form-field>
            <input matInput [(ngModel)]="interval.description" />
          </mat-form-field>
        </td>
        <td>
          {{interval | interval: 'start'}}
        </td>
        <td>
          {{interval | interval: 'end'}}
        </td>
      </tr>
    </tbody>
  </table>
  </div>
</div>
